#ifndef JABBER_VCARD_H
#define JABBER_VCARD_H

#include<qstring.h>

#define NUM_VCARDFIELDS 17

class QDomDocument;
class QDomElement;

namespace Jabber
{
	// --- VCard-temp 2.0 subset (from non-latest Gabber) ---
	enum {	vFullname, vNickname, vBday, vEmail, vHomepage, vPhone,
		vStreet, vExt, vCity, vState, vPcode, vCountry,
		vOrgName, vOrgUnit, vTitle, vRole, vDesc };

	class VCard
	{
	public:
		VCard();
		~VCard();

		QDomElement toXml(QDomDocument *) const;
		bool fromXml(const QDomElement &);
		bool isIncomplete() const;

		QString field[NUM_VCARDFIELDS];

	private:
		class VCardPrivate *d;
	};
}

#endif
